OGRE: Ogre::CategorisedAlignAllocPolicy< Cat, align > Class Template Reference - OGRE Documentation

Public Types | Static Public Member Functions

# Ogre::CategorisedAlignAllocPolicy< Cat, align > Class Template Reference

`#include <OgreMemoryAllocatorConfig.h>`

Inheritance diagram for Ogre::CategorisedAlignAllocPolicy< Cat, align >:
[legend]

List of all members.

## Public Types
typedef int | IsValidAlignment [Alignment<=128 &&((Alignment &(Alignment-1))==0)?+1:-1]
## Static Public Member Functions
static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.

## Detailed Description

### template<MemoryCategory Cat, size_t align = 0>
class Ogre::CategorisedAlignAllocPolicy< Cat, align >

Definition at line 201 of file OgreMemoryAllocatorConfig.h.

## Member Typedef Documentation

typedef int Ogre::NedPoolingAlignedPolicy< Alignment >::IsValidAlignment[Alignment<=128 &&((Alignment &(Alignment-1))==0)?+1:-1]`[inherited]`

Definition at line 108 of file OgreMemoryNedPooling.h.

## Member Function Documentation

static void* Ogre::NedPoolingAlignedPolicy< Alignment >::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0` |
| ) |  |  | `[static, inherited]`

Definition at line 110 of file OgreMemoryNedPooling.h.

References Ogre::NedPoolingImpl::allocBytesAligned().

static void Ogre::NedPoolingAlignedPolicy< Alignment >::deallocateBytes | ( | void * | ptr | ) | `[static, inherited]`

Definition at line 116 of file OgreMemoryNedPooling.h.

References Ogre::NedPoolingImpl::deallocBytesAligned().

static size_t Ogre::NedPoolingAlignedPolicy< Alignment >::getMaxAllocationSize | ( |  | ) | `[static, inherited]`

Get the maximum size of a single allocation.

Definition at line 122 of file OgreMemoryNedPooling.h.

The documentation for this class was generated from the following file:

- OgreMemoryAllocatorConfig.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56